// routes/projectRoutes.js
const express = require('express');
const router = express.Router();
const projectController = require('../controllers/projectController');

// CREATE
router.post('/', projectController.createProject);

// READ ALL
router.get('/', projectController.getAllProjects);

// READ ONE
router.get('/:project_id', projectController.getProjectById);

// UPDATE
router.put('/:project_id', projectController.updateProject);

// DELETE
router.delete('/:project_id', projectController.removeProject);

module.exports = router;